Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 2.1.2
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001440Zandronum[All Projects] Bugpublic2013-07-31 07:302017-05-14 21:07
Reporterpkmx 
Assigned ToBlzut3 
PrioritynormalSeverityminorReproducibilityrandom
StatusresolvedResolutionnot fixable 
Platformx64OSArch Linux x86_64OS VersionRolling Release
Product Version1.1.1 
Target VersionFixed in Version 
Summary0001440: Keyboard Freeze while Typing on Linux
DescriptionThe keyboard sometimes freeze after opening the console using ` key, speaking using the T key or even opening the menu with the ESC key. The game proceeds normally in the background (as in multiplayer games), but is not accepting any kinds of input from keyboard and the only thing I could do was to close the window and exit the game.
Steps To ReproduceHitting ` or t in-game may cause the keyboard to freeze. It appears to occur randomly but I almost always encounter it at least once within 3 hours of playing session.
Additional InformationI'm running the pre-built executable for 64-bit Arch Linux with awesome WM. The problem is also present in the 1.0 version.
Attached Files

- Relationships

-  Notes
User avatar (0008278)
Blzut3 (administrator)
2014-02-24 21:19

Do you by any chance live in an area that may be using an IME? If so this ZDoom bug report is related:http://forum.zdoom.org/viewtopic.php?f=2&t=40117 [^] Voidmage has a patch for SDL on hand that fixes the issue for him, so if so, you might want to contact him.
User avatar (0008280)
pkmx (reporter)
2014-02-25 05:32
edited on: 2014-02-25 06:26

You are right, I do have ibus daemon running in the background. For now I will try running Zandronum with XMODIFIERS unset and see if it gets stuck again. For the record, I've been toggling the console and menu like mad for 5 minutes and haven't managed to freeze it so far. If that still doesn't work, I will try applying the patch from Voidmage.

As I noted in the forum thread, this bug is not specific to Zandronum as it also happens in GZDoom, so I reckon it probably affects other ZDoom-based ports as well.

User avatar (0008282)
Blzut3 (administrator)
2014-02-25 15:34

It affects any software using SDL 1.2. Just some trigger it more readily than others. The bug is fixed in SDL 2.0 and VoidMage basically ported the fix back to 1.2.
User avatar (0008296)
Blzut3 (administrator)
2014-02-28 20:19

Marking this ticket as resolved (at least for now). Normally an issue like this would be marked as closed, but it would probably be a good idea for this to be easy to find in a search.
User avatar (0017660)
Dusk (developer)
2017-05-14 09:59
edited on: 2017-05-14 21:07

Just noting, as of now the issue still persists in Linux systems since SDL apparently did not make a new release after the fix was backported to SDL 1.2.

So, if you experience this issue, you can resolve it by installing SDL from hg:


$ sudo apt install autoconf
$ hg clone --branch SDL-1.2https://hg.libsdl.org/SDL [^] SDL-1.2
$ cd SDL-1.2
$ ./autogen.sh && ./configure && make
$ sudo make install
$ sudo ldconfig


The newly installed SDL should take precedence over the system SDL 1.2 and the freezing should stop there.


Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2013-07-31 07:30 pkmx New Issue
2014-02-24 21:19 Blzut3 Note Added: 0008278
2014-02-25 05:32 pkmx Note Added: 0008280
2014-02-25 06:26 pkmx Note Edited: 0008280 View Revisions
2014-02-25 15:34 Blzut3 Note Added: 0008282
2014-02-28 20:19 Blzut3 Note Added: 0008296
2014-02-28 20:19 Blzut3 Status new => resolved
2014-02-28 20:19 Blzut3 Resolution open => not fixable
2014-02-28 20:19 Blzut3 Assigned To => Blzut3
2017-05-14 09:59 Dusk Note Added: 0017660
2017-05-14 21:07 Dusk Note Edited: 0017660 View Revisions






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker